
/*==============================================================*/
/* Table:  T_EB_APPLYTEMPLATE   申报模板    创建人: 杨述军   创建时间: 20210415*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPLYTEMPLATE') 
CREATE TABLE T_EB_APPLYTEMPLATE
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FNUMBER NVARCHAR(30) DEFAULT '' NOT NULL, 	
  FSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL, 	
  FCREATORID BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL, 	
  FCREATETIME DATETIME ,                  	
  FMODIFYTIME DATETIME ,                  	
  FMASTERID BIGINT DEFAULT 0 NOT NULL,    	
  FTEMPLATETYPEID BIGINT DEFAULT 0 NOT NULL, 	
  FDATASETID BIGINT DEFAULT 0 NOT NULL,   	
  FTEMPLATESTATUS NVARCHAR(5) DEFAULT '0' NOT NULL, 	
  FMODELID BIGINT DEFAULT 0 NOT NULL,     	
  FCOMBOFIELD NVARCHAR(5) DEFAULT '' NOT NULL, 	
  FLARGETEXTFIELD NVARCHAR(255) DEFAULT '' NOT NULL, 	
  FLARGETEXTFIELD_TAG NCLOB ,             	
  FENTRYCFGJSON NVARCHAR(255) DEFAULT '' NOT NULL, 	
  FENTRYCFGJSON_TAG NCLOB ,               	
  FTEXTAREAFIELD NVARCHAR(255) DEFAULT '' NOT NULL, 	
  CONSTRAINT PK_EB_APPLYTEMPLATE PRIMARY KEY CLUSTERED (FID)
);
/*==============================================================*/
/* Index:  IDX_EB_APPLTE_Fnumber      创建人:  杨述军   创建时间: 20210415*/
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTE_FNUMBER') 
CREATE INDEX IDX_EB_APPLTE_FNUMBER ON T_EB_APPLYTEMPLATE (FNUMBER ASC);
/*==============================================================*/
/* Index:  IDX_EB_APPLTE_FCREATETIME      创建人:  杨述军   创建时间: 20210415*/
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTE_FCREATETIME') 
CREATE INDEX IDX_EB_APPLTE_FCREATETIME ON T_EB_APPLYTEMPLATE (FCREATETIME ASC);


/*==============================================================*/
/* Table:  T_EB_APPLYTEMPLATE_L   申报模板多语言表    创建人: 杨述军   创建时间: 20210415*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPLYTEMPLATE_L') 
CREATE TABLE T_EB_APPLYTEMPLATE_L
(
  FPKID NVARCHAR(255) DEFAULT '' NOT NULL,          	
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FLOCALEID NVARCHAR(255) DEFAULT '' NOT NULL,          	
  FNAME NVARCHAR(50) DEFAULT '' NOT NULL, 	
  CONSTRAINT PK_EB_APPLYTEMPLATE_L PRIMARY KEY CLUSTERED (FPKID)
);
/*==============================================================*/
/* Index:  IDX_EB_APPLTEL_FID      创建人:  杨述军   创建时间: 20210415   */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTEL_FID') 
CREATE INDEX IDX_EB_APPLTEL_FID ON T_EB_APPLYTEMPLATE_L (FID,FLOCALEID );
/*==============================================================*/
/* Index:  IDX_EB_APPLTEL_FNAME      创建人:  杨述军   创建时间: 20210415 */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTEL_FNAME') 
CREATE INDEX IDX_EB_APPLTEL_FNAME ON T_EB_APPLYTEMPLATE_L (FNAME ASC);





/*==============================================================*/
/* Table:  T_EB_APPLYTEMPLATE_CONFIG   申报模板配置    创建人: 杨述军   创建时间: 20210415*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPLYTEMPLATE_CONFIG') 
CREATE TABLE T_EB_APPLYTEMPLATE_CONFIG
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FNUMBER NVARCHAR(50) DEFAULT '' NOT NULL, 	
  FMODELID BIGINT DEFAULT 0 NOT NULL,     	
  FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,  	
  FREMARK NVARCHAR(2000) DEFAULT '' NOT NULL, 	
  CONSTRAINT PK_EB_APPLYTEMPLATE_CONFIG PRIMARY KEY CLUSTERED (FID)
);
/*==============================================================*/
/* Index:  IDX_EB_APPLTE_Fnumber      创建人:  杨述军   创建时间: 20210415*/
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTE_CON_FNUMBER') 
CREATE INDEX IDX_EB_APPLTE_CON_FNUMBER ON T_EB_APPLYTEMPLATE_CONFIG (FNUMBER ASC);




/*==============================================================*/
/* Table:  T_EB_APPLYTEMPLATE_CGE   申报模板配置_单据体    创建人: 杨述军   创建时间: 20210415*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPLYTEMPLATE_CGE') 
CREATE TABLE T_EB_APPLYTEMPLATE_CGE
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FENTRYID BIGINT DEFAULT 0 NOT NULL,     	
  FSEQ INT DEFAULT 0 NOT NULL,            	
  FAPPLY_VIEWOPTION NVARCHAR(5) DEFAULT '1' NOT NULL, 	
  FAPPLY_ISAGGREGATION CHAR(1) DEFAULT '0' NOT NULL, 	
  FCOLUMNNAME NVARCHAR(50) DEFAULT '' NOT NULL, 	
  FCOLUMNKEY NVARCHAR(50) DEFAULT '' NOT NULL, 	
  FCOLUMNTYPE NVARCHAR(5) DEFAULT '' NOT NULL, 	
  FAUDIT_VIEWOPTION NVARCHAR(5) DEFAULT '1' NOT NULL, 	
  FAUDIT_ISAGGREGATION CHAR(1) DEFAULT '0' NOT NULL, 	
  FDECOMPOSE_VIEWOPTION NVARCHAR(5) DEFAULT '1' NOT NULL, 	
  FDECOMPOSE_ISAGGREGATION CHAR(1) DEFAULT '0' NOT NULL, 	
  FSUMMARY_VIEWOPTION NVARCHAR(5) DEFAULT '1' NOT NULL, 	
  FSUMMARY_ISAGGREGATION CHAR(1) DEFAULT '0' NOT NULL, 	
  CONSTRAINT PK_EB_APPLYTEMPLATE_CGE PRIMARY KEY CLUSTERED (FENTRYID)
);
/*==============================================================*/
/* Index:  IDX_EB_APPLTE_FID      创建人:  杨述军   创建时间: 20210415    */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTE_FID') 
CREATE INDEX IDX_EB_APPLTE_FID ON T_EB_APPLYTEMPLATE_CGE (FID ASC);
/*==============================================================*/
/* Index:  IDX_EB_APPLTE_FSEQ      创建人:  杨述军   创建时间: 20210415   */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLTE_FSEQ') 
CREATE INDEX IDX_EB_APPLTE_FSEQ ON T_EB_APPLYTEMPLATE_CGE (FSEQ ASC);




/*==============================================================*/
/* Table:  T_EB_APPLYTEMPLATELOG   申报模板分类    创建人: 杨述军   创建时间: 20210415*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPLYTEMPLATELOG') 
CREATE TABLE T_EB_APPLYTEMPLATELOG
(
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FNUMBER NVARCHAR(30) DEFAULT '' NOT NULL, 	
  FSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL, 	
  FCREATORID BIGINT DEFAULT 0 NOT NULL,   	
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,  	
  FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL, 	
  FCREATETIME DATETIME ,                  	
  FMODIFYTIME DATETIME ,                  	
  FMASTERID BIGINT DEFAULT 0 NOT NULL,    	
  FLONGNUMBER NVARCHAR(50) DEFAULT '' NOT NULL, 	
  FLEVEL INT DEFAULT 0 NOT NULL,          	
  FISLEAF CHAR(1) DEFAULT '1' NOT NULL,   	
  FPARENTID BIGINT DEFAULT 0 NOT NULL,    	
  FMODELBDID BIGINT DEFAULT 0 NOT NULL,   	
  FSEQUENCE INT DEFAULT 0 NOT NULL,       	
  CONSTRAINT PK_EB_APPLYTEMPLATELOG PRIMARY KEY CLUSTERED (FID)
);
/*==============================================================*/
/* Index:  IDX_EB_APPLOG_Fnumber      创建人:  杨述军   创建时间: 20210415*/
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLOG_FNUMBER') 
CREATE INDEX IDX_EB_APPLOG_FNUMBER ON T_EB_APPLYTEMPLATELOG (FNUMBER ASC);
/*==============================================================*/
/* Index:  IDX_EB_APPLOG_FCREATETIME      创建人:  杨述军   创建时间: 20210415*/
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLOG_FCREATETIME') 
CREATE INDEX IDX_EB_APPLOG_FCREATETIME ON T_EB_APPLYTEMPLATELOG (FCREATETIME ASC);


/*==============================================================*/
/* Table:  T_EB_APPLYTEMPLATELOG_L   申报模板分类多语言表    创建人: 杨述军   创建时间: 20210415*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPLYTEMPLATELOG_L') 
CREATE TABLE T_EB_APPLYTEMPLATELOG_L
(
  FPKID NVARCHAR(255) DEFAULT '' NOT NULL,          	
  FID BIGINT DEFAULT 0 NOT NULL,          	
  FLOCALEID NVARCHAR(255) DEFAULT '' NOT NULL,          	
  FNAME NVARCHAR(50) DEFAULT '' NOT NULL, 	
  FFULLNAME NVARCHAR(50) DEFAULT '' NOT NULL, 	
  CONSTRAINT PK_EB_APPLYTEMPLATELOG_L PRIMARY KEY CLUSTERED (FPKID)
);
/*==============================================================*/
/* Index:  IDX_EB_APPLOGL_FID      创建人:  杨述军   创建时间: 20210415   */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLOGL_FID') 
CREATE INDEX IDX_EB_APPLOGL_FID ON T_EB_APPLYTEMPLATELOG_L (FID,FLOCALEID );
/*==============================================================*/
/* Index:  IDX_EB_APPLOGL_FNAME      创建人:  杨述军   创建时间: 20210415 */
/*==============================================================*/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EB_APPLOGL_FNAME') 
CREATE INDEX IDX_EB_APPLOGL_FNAME ON T_EB_APPLYTEMPLATELOG_L (FNAME ASC);





